Passa al contenuto principale

SmsPhonebookPaginatedListResponse

Successful response with a page of SmsPhonebook

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • idintegerrequired
    namestring | nullnullablerequired
    contacts_countintegerrequired

    Number of contacts in the phonebook (GET /api/v3/sms-phonebooks/{phonebook_id}/contacts)

  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    SmsPhonebookPaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "id": 0,
    "name": "string",
    "contacts_count": 0
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }